MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000415JANAFeature Requestpublic2014-08-23 22:442015-06-04 14:34
Reporterdavidl 
Assigned Todavidl 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000415: Add config. param. to allow users to force a specific JEventSource be used.
DescriptionWhen dealing with HDDM files, an issue came up when we tried using named pipes. Specifically, the CheckOpenable methods used for the "s" type (=simulation) and "r" type (=REST) sources tested them by trying to open the file. If a named pipe was being used, then the header was pulled off of the stream but the test open causing the second open to fail. To get around this, Richard implemented an algorithm, that looks for key phases in the filename itself, thereby avoiding the test open. The problem with this method is that it can be confused by a poorly named file.

In order to provide a general mechanism for users to side step issues such as this, a configuration parameter should be introduced that allows the user to specify exactly which JEventSource should be instantiated to handle the source. Perhaps something like "EVENT_SOURCE_TYPE" (?)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000634)
davidl (administrator)
2015-06-04 14:34

This was committed in revision 2329 and will appear in JANA 0.7.3

- Issue History
Date Modified Username Field Change
2014-08-23 22:44 davidl New Issue
2014-12-03 06:23 davidl Status new => assigned
2014-12-03 06:23 davidl Assigned To => davidl
2015-06-04 14:34 davidl Note Added: 0000634
2015-06-04 14:34 davidl Status assigned => resolved
2015-06-04 14:34 davidl Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker